# Search Item

<mark style="color:green;">`POST`</mark> `https://api.ants.tech/access/api/item/search`

#### Headers

| Name                                            | Type   | Description             |
| ----------------------------------------------- | ------ | ----------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer `<ACCESS_TOKEN>` |

#### Request Body

| Name                                                               | Type          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| ------------------------------------------------------------------ | ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| itemTypeId<mark style="color:red;">\*</mark>                       | Number        | The ID of the BO you are searching for its data. For example, `-1003`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| itemTypeName<mark style="color:red;">\*</mark>                     | String        | The name of BO you are searching. For example, `customer`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| attrs<mark style="color:red;">\*</mark>                            | String        | The name of the attribute(s) you want the API to return for you. For example, `"customer_id","name"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| filters<mark style="color:red;">\*</mark>                          | JSON          | <p>Your multi-condition filter criteria. For example:</p><p><code>{</code></p><p>  <code>"OR": \[</code></p><p>    <code>{</code></p><p>        <code>"AND": \[</code></p><p>            <code>{</code></p><p>                <code>"column": "customer\_id",</code></p><p>                <code>"data\_type": "string",</code></p><p>                <code>"operator": "matches",</code></p><p>                <code>"value\_type": "normal",</code></p><p>                <code>"value": \["00020551c21392c....."],</code></p><p>                <code>"condition\_type": "comp\_attr"</code></p><p>            <code>}</code></p><p>        <code>]</code></p><p>    <code>}</code></p><p>  <code>]</code></p><p><code>}</code></p> |
| filters.OR\[]<mark style="color:red;">\*</mark>                    | Array of JSON | <p>An array of your conditions, the BO data record will be returned if it meets one of these conditions. For example:</p><p><code>\[</code></p><p>  <code>{</code></p><p>      <code>"AND": \[</code></p><p>          <code>{</code></p><p>              <code>"column": "customer\_id",</code></p><p>              <code>"data\_type": "string",</code></p><p>              <code>"operator": "matches",</code></p><p>              <code>"value\_type": "normal",</code></p><p>              <code>"value": \["00020551c21392c....."],</code></p><p>              <code>"condition\_type": "comp\_attr"</code></p><p>           <code>}</code></p><p>      <code>]</code></p><p>  <code>}</code></p><p><code>]</code></p>            |
| filters.OR\[].AND\[]<mark style="color:red;">\*</mark>             | Array of JSOn | <p>An array of your conditions, the BO data record will be returned only when it meets all of these conditions. For example:</p><p><code>\[</code></p><p>  <code>{</code></p><p>    <code>"column": "customer\_id",</code></p><p>    <code>"data\_type": "string",</code></p><p>    <code>"operator": "matches",</code></p><p>    <code>"value\_type": "normal",</code></p><p>    <code>"value": \["00020551c21392c....."],</code></p><p>    <code>"condition\_type": "comp\_attr"</code></p><p>  <code>}</code></p><p><code>]</code></p>                                                                                                                                                                                              |
| filters.OR\[].AND\[].column<mark style="color:red;">\*</mark>      | String        | The column you want to filter on. For example, `customer_id`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| filters.OR\[].AND\[].data\_type<mark style="color:red;">\*</mark>  | String        | The data type of the column you are filtering on. For example, the data type of the column `customer_id` is `string`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| filters.OR\[].AND\[].operator<mark style="color:red;">\*</mark>    | String        | The operator that you want to use to compare your BO data. For example, you want to match a list of `customer_id`, your operator is `matches`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| filters.OR\[].AND\[].value\_type<mark style="color:red;">\*</mark> | String        | The value that you would use to compare your BO data (may have different data types based on the operator you choose). For example, if you are matching a list of `customer_id`, your `value` should be `["00020551c21392cf76b4745a37b082d2"]`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |

{% tabs %}
{% tab title="200: OK The request is successful, the server responds with a list of items that match the search criteria." %}

```json
{
    "code": 200,
    "message": "Search Business Object success",
    "data": {
        "status": true,
        "data": [
            {
                "name": "QBJy1TINhIWTL8DW1cP6yolv5XGwaAvCBmEgUSnlJG/cCfbXkGvNmXwkmNkQ6BRHd3aDBjQEBOl1A8Nsijtbrzc4w63seRXe0eZdLP3qigqm7PcZwLh1UXpR/Y1u8D9f1VvpeD2goN5eMWUJKbkl1OkM4CNt0R1wmhpABRn7ST4=",
                "customer_id": "87b20a420c47644f0c8ce60e05f247a4"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.antsomi.com/api-guide/endpoint/item-api/search-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
